org.apache.solr.client.solrj.cloud.autoscaling

## Class Clause.Condition

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Clause.Condition

Enclosing class:
  Clause

    public static class Clause.Condition
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `delta(Object val)`
`boolean` `equals(Object that)`
`String` `getName()`
`Operand` `getOperand()`
`Object` `getValue()`
`boolean` `isPass(Object inputVal)`
`boolean` `isPass(Row row)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isPass

    public boolean isPass(Object inputVal)

#### isPass

    public boolean isPass(Row row)

#### equals

    public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

#### delta

    public Integer delta(Object val)

#### getName

    public String getName()

#### getValue

    public Object getValue()

#### getOperand

    public Operand getOperand()